/*
 * lesslog - PostgreSQL archive log size reduction utility
 *
 * Version 1.4.1, for PostgreSQL 8.4.x
 *
 *    Copyright(C) 2010 Nippon Telegraph and Telephone Corporation
 *
 *    Contact: koichi.szk@gmail.com
 */

/*
 * log.h
 *    Interface for logging routines.
 */

#ifndef PGLESSLOG_LOG
#define PGLESSLOG_LOG

#include "access/xlog.h"
#include "access/xlog_internal.h"

void init_log(const char *progname);
void log_segment_id(const char *filename);
void log_page_header(int num, XLogPageHeader page);
void logXLogRecord(XLogRecPtr *ptr, size_t off, XLogRecord *record);
void finish_log();
void logCompression(int compressed);
void logMessage(char *msg);
void log_BlkBoundary();

#else
#endif /* PGLESSLOG_LOG */
